Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHInteractorAdapter

    java.lang.Object
      com.mindbright.ssh.SSHInteractorAdapter

All Implemented Interfaces:
  SSHInteractor

Direct Known Subclasses:
  SSH1Example

public class SSHInteractorAdapter
extends java.lang.Object
implements SSHInteractor

Constructor Summary
`SSHInteractorAdapter()`

Method Summary
`void` | `alert(java.lang.String msg)`
`boolean` | `askConfirmation(java.lang.String message, boolean defAnswer)`
`void` | `connected(SSHClient client)`
`void` | `disconnected(SSHClient client, boolean graceful)`
`boolean` | `isVerbose()`
`boolean` | `licenseDialog(java.lang.String license)`
`void` | `open(SSHClient client)`
`java.lang.String` | `promptLine(java.lang.String prompt, java.lang.String defaultVal)`
`java.lang.String` | `promptPassword(java.lang.String prompt)`
`void` | `propsStateChanged(SSHPropertyHandler props)`
`boolean` | `quietPrompts()`
`void` | `report(java.lang.String msg)`
`void` | `sessionStarted(SSHClient client)`
`void` | `startNewSession(SSHClient client)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHInteractorAdapter

    public SSHInteractorAdapter()

Method Detail

### startNewSession

    public void startNewSession(SSHClient client)

  Specified by:
    `startNewSession` in interface `SSHInteractor`

### sessionStarted

    public void sessionStarted(SSHClient client)

  Specified by:
    `sessionStarted` in interface `SSHInteractor`

### connected

    public void connected(SSHClient client)

  Specified by:
    `connected` in interface `SSHInteractor`

### open

    public void open(SSHClient client)

  Specified by:
    `open` in interface `SSHInteractor`

### disconnected

    public void disconnected(SSHClient client,
                             boolean graceful)

  Specified by:
    `disconnected` in interface `SSHInteractor`

### report

    public void report(java.lang.String msg)

  Specified by:
    `report` in interface `SSHInteractor`

### alert

    public void alert(java.lang.String msg)

  Specified by:
    `alert` in interface `SSHInteractor`

### propsStateChanged

    public void propsStateChanged(SSHPropertyHandler props)

  Specified by:
    `propsStateChanged` in interface `SSHInteractor`

### askConfirmation

    public boolean askConfirmation(java.lang.String message,
                                   boolean defAnswer)

  Specified by:
    `askConfirmation` in interface `SSHInteractor`

### licenseDialog

    public boolean licenseDialog(java.lang.String license)

  Specified by:
    `licenseDialog` in interface `SSHInteractor`

### quietPrompts

    public boolean quietPrompts()

  Specified by:
    `quietPrompts` in interface `SSHInteractor`

### promptLine

    public java.lang.String promptLine(java.lang.String prompt,
                                       java.lang.String defaultVal)
                                throws java.io.IOException

  Specified by:
    `promptLine` in interface `SSHInteractor`
  Throws:
    `java.io.IOException`

### promptPassword

    public java.lang.String promptPassword(java.lang.String prompt)
                                    throws java.io.IOException

  Specified by:
    `promptPassword` in interface `SSHInteractor`
  Throws:
    `java.io.IOException`

### isVerbose

    public boolean isVerbose()

  Specified by:
    `isVerbose` in interface `SSHInteractor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD